Subject: Re: State of Perforce importing.

From: David Brown <[email-masked]>
Date: Tue, 18 Sep 2007 17:26:17 -0700

On Wed, Sep 19, 2007 at 12:20:44PM +1200, Sam Vilain wrote:

>If you can get a hold of the "checkpoint" and "journal" files, you could
>probably throw the client spec data into a few Pg tables, chuck a couple
>of constraints on it to confirm that it works the way you thought, and
>then get the information on what's where using a SQL query.  The file
>images themselves can come from wherever, it doesn't really matter
>because there are MD5 hashes in the data tables you can use to confirm
>you got the right file.

In my instance, I don't have an account on the P4 server, so I'm going to
have to deal with this through P4's normal client.

I don't have much confidence that P4 really knows what it is doing when it
comes to integrate, so I'm not much worried about branches.  But, I do want
to accurately get the history of a particular branch.

So far, the only thing that isn't working is the execute bit doesn't get
set on files that should have it.

Dave